import { protectedProcedure } from "$lib/server/trpc/t";
import { createTRPCRouter } from "$lib/trpc/t";
import { getProductUseCases } from "./usecases";

export const productRouter = createTRPCRouter({
	getAllProducts: protectedProcedure.query(async ({}) => {
		const controller = getProductUseCases();
		return controller.getAllProducts();
	}),
});
